/*
			FSCK Manager Window Callbacks
 */

#ifndef FSCKCB_H
#define FSCKCB_H

#include <gtk/gtk.h>
#include "../edvtypes.h"
#include "fsckmanager.h"


extern gint FSCKManagerButtonPressEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint FSCKManagerDiskIconExposeCB(
	GtkWidget *widget, GdkEventExpose *expose, gpointer data
);

extern gint FSCKManagerFSCKTOCB(gpointer data);

extern gint FSCKManagerDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern void FSCKManagerStartCB(GtkWidget *widget, gpointer data);
extern void FSCKManagerStopCB(GtkWidget *widget, gpointer data);
extern void FSCKManagerClearCB(GtkWidget *widget, gpointer data);
extern void FSCKManagerCloseBtnCB(GtkWidget *widget, gpointer data);

extern void FSCKManagerSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void FSCKManagerUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);




#endif	/* FSCKCB_H */
